Package tigase.form

# Enum Class Field.FieldType

java.lang.Object
java.lang.Enum<Field.FieldType>
tigase.form.Field.FieldType

All Implemented Interfaces:
  `Serializable`, `Comparable<Field.FieldType>`, `Constable`

Enclosing class:
  Field

public static enum Field.FieldType extends Enum<Field.FieldType>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `bool`
  `fixed`
  `hidden`
  `jid_multi`
  `jid_single`
  `list_multi`
  `list_single`
  `text_multi`
  `text_private`
  `text_single`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static Field.FieldType`
  `getFieldTypeByName(String name)`
  `String`
  `toString()`
  `static Field.FieldType`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static Field.FieldType[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### bool

    public static final Field.FieldType bool

  - ### fixed

    public static final Field.FieldType fixed

  - ### hidden

    public static final Field.FieldType hidden

  - ### jid_single

    public static final Field.FieldType jid_single

  - ### jid_multi

    public static final Field.FieldType jid_multi

  - ### list_multi

    public static final Field.FieldType list_multi

  - ### list_single

    public static final Field.FieldType list_single

  - ### text_multi

    public static final Field.FieldType text_multi

  - ### text_private

    public static final Field.FieldType text_private

  - ### text_single

    public static final Field.FieldType text_single

- ## Method Details

  - ### values

    public static Field.FieldType[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static Field.FieldType valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getFieldTypeByName

    public static Field.FieldType getFieldTypeByName(String name)

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Enum<Field.FieldType>`